import { CommandBase, PostCommandContext } from '../base/CommandBase';
import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
export declare class SetTableHeader extends CommandBase<'setTableHeader'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['setTableHeader']);
    protected execute(): Promise<PostCommandContext>;
}
